/*
 * Data l'immissione dei dati di n pazienti con le seguenti informazioni:
 * codicePaziente, genere (M/F), et
 * scrivere un programma che stampi a video l'et media dei pazienti
 * uomini e l'et media delle pazienti donne.
 * Inclusa la variante con test di correttezza dell'input su genere e eta'.
 */

import java.util.*;
import java.text.*;

public class EtaMedia {
	
	public static enum Gender {M,F} ;
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		DecimalFormat df = new DecimalFormat("0.0");
		
		int n, numUomini=0, numDonne=0, etaUomini=0, etaDonne=0;
		int codicePaziente, eta;
		String genere;
		
		System.out.print("Programma per il calcolo dell'eta' media ");
		System.out.println("di pazienti uomini e pazienti donne");
		System.out.print("Inserire il numero totale di pazienti: ");
		n = tastiera.nextInt();
		for(int i=1; i<=n; i++){
			System.out.println("Inserire i dati del paziente "+i+": ");
			System.out.print("Codice paziente: ");
			codicePaziente = tastiera.nextInt();
			do{
				System.out.print("genere (M/F): ");
				genere = tastiera.next().toUpperCase();
				if(!genere.equals("M")&&!genere.equals("F"))
					System.out.println("Errore nell'inserimento del valore del genere: M/F");
			}while(!genere.equals("M")&&!genere.equals("F"));
			do{
				System.out.print("Eta' (valori compresi fra 0 e 130): ");
				eta = tastiera.nextInt();
				if(eta<0 || eta>130)
					System.out.println("Errore di inserimento dell'et (0-130)");
			}while(eta<0 || eta>130);
			switch(Gender.valueOf(genere)){
			case M:
				numUomini++;
				etaUomini += eta;
				break;
			case F:
				numDonne++;
				etaDonne += eta;
				break;
			default: // caso inutile, visto che i soli valori possibili sono quelli del dominio enumerato
			}
		}
		System.out.print("Il numero di pazienti uomini e' "+numUomini);
		if(numUomini>0)
			System.out.println("e la loro eta' media e' "+df.format((double)etaUomini/numUomini));
		else
			System.out.println();
		System.out.print("Il numero di pazienti donne e' "+numDonne);
		if(numDonne>0)
			System.out.println("e la loro eta' media e' "+df.format((double)etaDonne/numDonne));
		else
			System.out.println();
		tastiera.close();
	}
}
